## CamelStoreSettings

CamelStoreSettings

## Functions

gboolean | camel_store_settings_get_filter_inbox ()
void | camel_store_settings_set_filter_inbox ()
gint | camel_store_settings_get_store_changes_interval ()
void | camel_store_settings_set_store_changes_interval ()

## Properties

gboolean | filter-inbox | Read / Write / Construct
int | store-changes-interval | Read / Write / Construct

## Types and Values

struct | CamelStoreSettings

## Object Hierarchy

        GObject
        ╰── CamelSettings
            ╰── CamelStoreSettings
                ├── CamelOfflineSettings
                ├── CamelLocalSettings
                ╰── CamelPOP3Settings

## Description

## Functions

### camel_store_settings_get_filter_inbox ()

    gboolean
    camel_store_settings_get_filter_inbox (CamelStoreSettings *settings);

Returns whether to automatically apply filters to newly arrived messages in the store's Inbox folder (assuming it has an Inbox folder).

#### Parameters

settings | a CamelStoreSettings |

#### Returns

whether to filter new messages in Inbox

Since: 3.2

### camel_store_settings_set_filter_inbox ()

    void
    camel_store_settings_set_filter_inbox (CamelStoreSettings *settings,
                                           gboolean filter_inbox);

Sets whether to automatically apply filters to newly arrived messages in the store's Inbox folder (assuming it has an Inbox folder).

#### Parameters

settings | a CamelStoreSettings |
filter_inbox | whether to filter new messages in Inbox |

Since: 3.2

### camel_store_settings_get_store_changes_interval ()

    gint
    camel_store_settings_get_store_changes_interval
                                   (CamelStoreSettings *settings);

Returns the interval, in seconds, for the changes in the folder being saved automatically. 0 means immediately, while -1 means turning off automatic folder change saving.

#### Parameters

settings | a CamelStoreSettings |

#### Returns

the interval for automatic store of folder changes

Since: 3.40

### camel_store_settings_set_store_changes_interval ()

    void
    camel_store_settings_set_store_changes_interval
                                   (CamelStoreSettings *settings,
                                    gint interval);

Sets the interval, in seconds, for the changes in the folder being saved automatically. 0 means immediately, while -1 means turning off automatic folder change saving.

#### Parameters

settings | a CamelStoreSettings |
interval | the interval, in seconds |

Since: 3.40

## Types and Values

### struct CamelStoreSettings

    struct CamelStoreSettings;

Contains only private data that should be read and manipulated using the functions below.

Since: 3.2

## Property Details

### The `“filter-inbox”` property

      “filter-inbox”             gboolean

Whether to filter new messages in Inbox.

Owner: CamelStoreSettings

Flags: Read / Write / Construct

Default value: TRUE

### The `“store-changes-interval”` property

      “store-changes-interval”   int

Interval, in seconds, to store folder changes.

Owner: CamelStoreSettings

Flags: Read / Write / Construct

Allowed values: [-1,999]

Default value: 3